#include <QApplication>
#include <QToolBar>
#include <QFileDialog>
#include <QTextEdit>
#include <QMainWindow>
#include <QDockWidget>
#include <QAction>
#include <QDebug>

class MainWindow : public QMainWindow
{
    Q_OBJECT
public:
   MainWindow();

public slots:
   void open();
};

MainWindow::MainWindow()
{
   setCentralWidget(new QTextEdit(this));
   QToolBar * toolbar = addToolBar("Test");
   toolbar->setObjectName("toolbar");
   toolbar->addAction(QLatin1String("toolbar test ") + QT_VERSION_STR);
   connect(toolbar->addAction("Open"), SIGNAL(triggered()),this, SLOT(open()));
   setWindowTitle(QT_VERSION_STR);

   QDockWidget *dw = new QDockWidget(QLatin1String("dock ") + QT_VERSION_STR);
   dw->setWidget(new QTextEdit(this));
   addDockWidget(Qt::LeftDockWidgetArea, dw);
}

void MainWindow::open()
{
    QFileDialog::Options opts = QFileDialog::DontUseNativeDialog;
    QFileDialog::getOpenFileName(this, "test", QString(), QString(), 0, opts);
}

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    MainWindow main_window;
    main_window.move(400, 400);
    main_window.show();

    return app.exec();
}

#include "main.moc"
